import ConfigParser
import sys

configFilePath = sys.argv[1]
mimetype = sys.argv[2]
defaulttype = sys.argv[3]

section = 'Default Applications'
inifilepath = configFilePath
config = ConfigParser.ConfigParser()
config.read(inifilepath)
allmime = ""
for indexc in mimetype:
        allmime += indexc
for onemime in allmime.split(' '):
        if config.has_section(section):
                if config.has_option(section,onemime):
                        appstr = config.get(section, onemime)
                        apps = appstr.split(';')
                        if defaulttype in apps:
                                apps.remove(defaulttype)
                        apps.insert(0, defaulttype)
                        appstr = ';'.join(apps)
                        config.set(section, onemime, appstr)
                else:
                        config.set(section, onemime, defaulttype)
        else:
                config.add_section(section)
                config.set(section, onemime, defaulttype)
        with open(inifilepath, 'w') as configfile:
                config.write(configfile)

